Subject: Re: am335x: cpsw: interrupt failure

From: Felipe Balbi <[email-masked]>
Date: Wed, 10 Dec 2014 15:02:34 -0600

Hi,

On Wed, Dec 10, 2014 at 09:58:23PM +0100, Yegor Yefremov wrote:

[snip]

> >> git revert failed as the driver has more changes meanwhile or I'm
> >> missing some params. I've tried to force the driver to use legacy
> >> routines, but then I don't get pass U-Boot's "Starting kernel ..." See
> >> attached patch.
> >>
> >> Compiler used:
> >>
> >> Linux version 3.18.0-rc7 (...) (gcc version 4.8.3 20140320
> >> (prerelease) (Sourcery CodeBench Lite 2014.05-29) ) #309 SMP Fri Dec 5
> >> 10:59:38 CET 2014
> >>
> >> Btw, what am335x based hardware do you have? I can run tests on both
> >> BBB and am335x-evmsk.
> >
> > coming back to this. I have BBB only. Can you provide some extra
> > information on how I can trigger this problem here ?
> 
> I have basically two am335x based boards, where I can trigger this

too bad, I have a single am335x board available here and that's my BBB.

Do both boards stall or only the server or only the client ?

If only one of them fail, then I try connecting my BBB to my AM437x SK
and see if that'll die too.

> problem via nuttcp (I think iperf would do the job too). The first
> system stalls almost immediately, the second one was working for about
> 7 minutes. I have tried the same kernel on am335x-evmsk - and this
> system didn't stall. I could provide dts files for both systems.
> 
> I've tried to reduce my dts as much as I could to match  am335x-evmsk
> dts, I have even removed entries for the PMIC, but still the system
> stalls. Btw PMIC's INT line is connected to a GPIO pin on processor.
> 
> I've used omap2plus_defconfig for all 3 devices. Any other info I can
> supply?

just the extra bit of info above.

-- 
balbi